/*
Theme Name: TheFront2026
Author: GrabBagMedia
Author URI: https://grabbagmedia.com
Description: Bespoke theme for The Front Theatre
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

#primary {
	margin:0 !important;
}
article {
	padding-top:0 !important;
}
.button {
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: bold;
    text-decoration: none !important;
    margin-top: 0.5rem;
    display: inline-block;
}
/** footer **/
.footer-widget-area {
    max-width: 600px;
}
h2.widget-title {
    margin-bottom:1rem;
}
.mailerlite-form-description p {
    color:#fff;
    margin-bottom:0.5rem;
}
.mailerlite-form-inputs {
    container-type:inline-size;
    display:grid;
    grid-template-columns:1fr 1fr;
    grid-template-areas:
    "email-firstname email-lastname"
    "email-email email-email";
    gap:0.5rem;
}
@media (width < 1000px) {
    .mailerlite-form-inputs {
        width:100%;
        margin-right:1rem;
        grid-template-columns:1fr;
        grid-template-areas:
        "email-firstname"
        "email-lastname"
        "email-email";
        justify-items:center;
    }
    .mailerlite-form-field {
        width:clamp(90%, 100%, 40ch);
    }
}
.mailerlite-form .mailerlite-form-field label {
    display:none;
}
.mailerlite-form-inputs div:nth-child(1) {
    grid-area: email-firstname;
}
.mailerlite-form-inputs div:nth-child(2) {
    grid-area: email-lastname;
}
.mailerlite-form-inputs div:nth-child(3) {
    grid-area: email-email;
}
.mailerlite-form .mailerlite-subscribe-button-container {
  text-align: left;
}